/* Styling the modal and backdrop */
.oersi-modal-dialog {
	width: 100%;
	max-width: 1000px;
	max-height: calc(100% - 6%);
	padding: 0;
	background: #fff;
	border: 1px solid #dedede;
	box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
	animation: scale-in 0.4s ease-out;
}

.oersi-modal-dialog::backdrop {
	background: radial-gradient(
		circle,
		rgba(5, 5, 5, 0.5) 0%,
		rgba(20, 19, 19, 0.7) 100%
	);
	cursor: pointer;
}

.oersi-modal-dialog mark {
	color: white;
	background: #151619;
}

.oersi-modal-dialog header {
	position: sticky;
	top: 0;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding-bottom: 24px;
	background: #fff;
	box-shadow: 0 0 20px -5px rgba(0,0,0,0.2);
	.info {
		display: flex;
		align-items: center;
		justify-content: center;
		padding-left: map-get($spacing, 2);
		p.lucky {
			color: green!important;
			font-weight: bold;
		}
		.dashicons {
			color: green;
			font-size: 42px;
			width: 48px;
			height: 48px;
			margin-left: -0.5rem;
		}
	}
}

.oersi-modal-dialog footer {
	display: flex;
	justify-content: flex-end;
	box-shadow: 0 0 20px 5px rgba(0,0,0,0.2);
}

.oersi-modal-dialog > * {
	padding: 24px;
}

.oersi-modal-dialog p:last-of-type {
	margin-bottom: 0;
}

@keyframes scale-in {
	0% {
		opacity: 0;
	}
	50% {
		opacity: 1;
		transform: scale(0.9);
	}
	100% {
		transform: scale(1);
	}
}

.btn-oersi {
	display: inline-block;
	border: 1px solid transparent;
	border-radius: 12px;
	cursor: pointer;
}

.btn-oersi-icon {
	padding: 0;
	background: transparent;
	width: 24px;
	height: 24px;
}
